SBX - Search With Button

SBX - Forum Post Title

How to upgrade could-hosted development environment to latest platform

Dynamics 365 for Finance and Operations Forum

R-AX asked a question on 13 Jun 2019 4:39 PM
My Badges

Question Status

Verified

I have a could-hosted development environment on application version 7.3 which I upgraded from PU15 to PU25. Then PU26 became available and I was able to apply it to this development environment through LCS.

Microsoft is applying the PU updates now to our production and one sandbox that is still on v7.3 and the sandbox that is on v10. all 3 are now on PU26.

I have a cloud-hosted development environment with application version v10, PU25. the deployable package for PU26 that I downloaded from the shared library and successfully updated my v7.3 development environment with, gives me an error for my v10 development environment: "The chosen package is not applicable to this environment version. The package cannot be applied."

So how can I update the platform? Currently I create a deployable package for our custom on PU25 and apply it to the v10 sandbox that is PU26. When the next application version is going to be available Microsoft will upgrade the v10 sandbox to that version and if I can't upgrade even the platform, what about the application side? Hotfixes are a thing of the past for version 10 as I understand it because Microsoft is handling the upgrades now for standard code. but apparently is only doing it for sandbox and production environments.

Reply
Daniel Weichsel responded on 13 Jun 2019 7:49 PM
My Badges
Verified Answer

Hi R-AX,

The "Platform only" packages you see cannot be used with v10 -- the applicable updates are combined packages, for example "Generally Available - Version 10.0.2 with Platform update 26".  This updates all Microsoft components at the same time (no longer separate application and platform updates).

Reply
R-AX responded on 14 Jun 2019 10:31 AM
My Badges

Thanks Dan.

Reply
Daniel Weichsel responded on 13 Jun 2019 7:49 PM
My Badges
Verified Answer

Hi R-AX,

The "Platform only" packages you see cannot be used with v10 -- the applicable updates are combined packages, for example "Generally Available - Version 10.0.2 with Platform update 26".  This updates all Microsoft components at the same time (no longer separate application and platform updates).

Reply

SBX - Two Col Forum

SBX - Migrated JS